#include<bits/stdc++.h>
using namespace std;
int main(){

    int n,m;
    cin>>n>>m;

    if(n == 1){

        int niz[1005];
        int indeksSteve;

        for(int i = 0; i<m;i++){

            char ch;
            cin>>ch;

            if(ch == '.'){
                niz[i] = 0;
            }
            else if(ch == '*'){
                niz[i] = 20;
            }
            else if(ch == 'X'){
                niz[i] = 1;
            }
            else if(ch == 'S'){
                niz[i] = 5;
                indeksSteve = i;
            }
        }

        int z1 = 0;
        for(int i=indeksSteve-1; i>=0; i--){

            if(niz[i] == 0){
                z1++;
            }
            if(niz[i] == 20){
                break;
            }
            if(niz[i] == 1){
                z1 = z1/2;
                break;
            }
        }
        int z2 = 0;
        for(int i=indeksSteve+1;i<m;i++){

            if(niz[i] == 0){
                z2++;
            }
            if(niz[i] == 20){
                break;
            }
            if(niz[i] == 1){
                z2 = z2/2;
                break;
            }
        }
        //cout<<z1<<endl;
        //cout<<z2<<endl;
        cout<<z1+1+z2<<endl;
    }
}